New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
Retrieve all token and SOL transfers for a Solana wallet address with pagination.
curl --request GET \
--url 'https://api.helius.xyz/v1/wallet/{wallet}/transfers?api-key='{
"data": [
{
"signature": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE",
"timestamp": 1704067200,
"direction": "in",
"counterparty": "HXsKP7wrBWaQ8T2Vtjry3Nj3oUgwYcqq9vrHDM12G664",
"mint": "So11111111111111111111111111111111111111112",
"amount": 1.5,
"amountRaw": "1500000000",
"decimals": 9,
"symbol": "SOL"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE"
}
}Each request costs 100 credits.Documentation Index
Fetch the complete documentation index at: https://helius-codex-token-transfer-filter-docs.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as query parameter
Solana wallet address (base58 encoded)
^[1-9A-HJ-NP-Za-km-z]{32,44}$Maximum number of transfers to return
1 <= x <= 100Pagination cursor from previous response
Was this page helpful?
curl --request GET \
--url 'https://api.helius.xyz/v1/wallet/{wallet}/transfers?api-key='{
"data": [
{
"signature": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE",
"timestamp": 1704067200,
"direction": "in",
"counterparty": "HXsKP7wrBWaQ8T2Vtjry3Nj3oUgwYcqq9vrHDM12G664",
"mint": "So11111111111111111111111111111111111111112",
"amount": 1.5,
"amountRaw": "1500000000",
"decimals": 9,
"symbol": "SOL"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "5wHu1qwD7Jsj3xqWjdSEJmYr3Q5f5RjXqjqQJ7jqEj7jqEj7jqEj7jqEj7jqEj7jqE"
}
}